Name:           clicfs
Summary:        Compressed Loop Image Container
Version:        1.4.6
Release:        %mkrel 12
License:        GPLv2
Url:            http://gitorious.org/opensuse/clicfs
Group:          System/Base
Source:         clicfs.tar.bz2
Patch0:         clicfs-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(fuse)
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(liblzma)
Requires:       fuse

%description
Clic FS is a FUSE file system to mount a Compressed Loop Image
Container. It has several features that make it a good choice for live
systems. It will compress a Loop Image and export it as read write,
creating a copy on write behaviour.


%prep
%setup -q -c %{name}
%autopatch -p1

%build
%cmake \
      -DLIB=%{_lib} \
      -DCMAKE_SKIP_RPATH=ON
%cmake_build

%install
%cmake_install


%files
%doc LICENCE
%{_bindir}/*clicfs*
%_mandir/man1/*





%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 1.4.6-12.mga10
+ Revision: 2211302
- fix build with cmake 4.0
- use our compile flags
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 1.4.6-11.mga9
+ Revision: 1824478
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.4.6-10.mga9
+ Revision: 1747573
- rebuild for openssl 3.0.0

* Wed Feb 12 2020 umeabot <umeabot> 1.4.6-9.mga8
+ Revision: 1511440
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 1.4.6-8.mga7
+ Revision: 1296582
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 1.4.6-7.mga7
+ Revision: 1152171
- rebuild for openssl 1.1

* Mon Feb 08 2016 umeabot <umeabot> 1.4.6-6.mga6
+ Revision: 944766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.6-5.mga5
+ Revision: 744477
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.6-4.mga5
+ Revision: 678425
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 503351
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.6-2.mga3
+ Revision: 347882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 juancho <juancho> 1.4.6-1.mga3
+ Revision: 322536
- imported package clicfs


* Thu Jun 09 2011 Guilherme Moro <guilherme@mandriva.com> 1.4.0-0
+ Revision: 683320
- Initial import from suse
- Created package structure for clicfs.

